link_namerabstract

Experimental - Generate default link names that are unique within a container. More...

`#include <link_namer.hpp>`

## Public Member Functions

virtual std::string | link_name ()=0
| Generate a unique link name.

## Detailed Description

Experimental - Generate default link names that are unique within a container.

base_container provides a default implementation.

Examples:
  mt/epoll_container.cpp.

The documentation for this class was generated from the following file:

- proton/io/link_namer.hpp